Ask Your Question
0

rosdep install fails on yaml-cpp

asked 2015-12-11 11:22:55 -0500

jacksonkr_ gravatar image

updated 2015-12-11 11:34:15 -0500

I'm following the ROS Indigo Install Guide

I'm currently on this command in a virtual environment:

$ rosdep install --from-paths src --ignore-src --rosdistro indigo -y

Which displays the following:

executing command [sudo -H pip install -U nose]
Password:
Collecting nose
  Using cached nose-1.3.7-py2-none-any.whl
Installing collected packages: nose
Successfully installed nose-1.3.7
executing command [brew install yaml-cpp-0.3]
Warning: ros/deps/yaml-cpp-0.3-0.3.0 already installed, it's just not linked
ERROR: the following rosdeps failed to install
  homebrew: Failed to detect successful installation of [yaml-cpp-0.3]

I've been able to fix this before with $ brew install --overwrite [package-name] but I just get the same message as above:

$ brew install --overwrite yaml-cpp-0.3
Warning: ros/deps/yaml-cpp-0.3-0.3.0 already installed, it's just not linked

I tried overwriting libyaml and yaml-cpp as well with no resolve.

What should I try next?

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2015-12-11 12:16:13 -0500

William gravatar image

You need to link yaml-cpp-0.3, as the warning suggests. You can do so with:

$ brew link yaml-cpp-0.3
edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2015-12-11 11:22:55 -0500

Seen: 307 times

Last updated: Dec 11 '15